Subject: USB support on i.MX27

From: [email-masked] (Daniel Mack)
Date: Tue, 1 Dec 2009 15:26:10 +0100

On Tue, Dec 01, 2009 at 12:16:03PM -0200, Alan Carvalho de Assis wrote:
> On 11/30/09, Alan Carvalho de Assis <[email-masked]> wrote:
> > I forgot to comment, I am configuring usbh2's portsc as on mx31lite:
> >
> > .portsc = MXC_EHCI_MODE_ULPI | MXC_EHCI_UTMI_8BIT,
> >
> > I defined and configured usbh2 pins:
> >         /* USBH2 */
> >         PA0_PF_USBH2_CLK,
> >         PA1_PF_USBH2_DIR,
> >         PA3_PF_USBH2_NXT,
> >         PA4_PF_USBH2_STP,
> >         PD22_AF_USBH2_DATA0,
> >         PD24_AF_USBH2_DATA1,
> >         PD23_AF_USBH2_DATA2,
> >         PD20_AF_USBH2_DATA3,
> >         PD19_AF_USBH2_DATA4,
> >         PD26_AF_USBH2_DATA5,
> >         PD21_AF_USBH2_DATA6,
> >         PA2_PF_USBH2_DATA7,
> >         PA24_AIN_SLDCD1_D0, /* EN_B */
> >         PA26_PF_PS, /* RES_B */
> >
> > What you think could be this issue?
> >
> 
> More some debug and everything worked fine:

Hmm, I don't follow. You added some debug output and it started working,
is that what you say? Do we possibly need memory barriers somewhere?

Can you post a patch with your changes, please?

Daniel